? dp.diff
? Unicode30
Index: loadlib.c
===================================================================
RCS file: /cvsroot/psqlodbc/psqlodbc/Attic/loadlib.c,v
retrieving revision 1.1.2.5
diff -c -r1.1.2.5 loadlib.c
*** loadlib.c	8 Feb 2006 01:14:13 -0000	1.1.2.5
--- loadlib.c	20 Feb 2006 09:30:41 -0000
***************
*** 20,26 ****
  #ifdef  WIN32
  #ifdef  _MSC_VER
  #pragma comment(lib, "Delayimp")
! #pragma comment(lib, "libpqdll")
  #pragma comment(lib, "ssleay32")
  // The followings works under VC++6.0 but doesn't work under VC++7.0.
  // Please add the equivalent linker options using command line etc.
--- 20,26 ----
  #ifdef  WIN32
  #ifdef  _MSC_VER
  #pragma comment(lib, "Delayimp")
! #pragma comment(lib, "libpq")
  #pragma comment(lib, "ssleay32")
  // The followings works under VC++6.0 but doesn't work under VC++7.0.
  // Please add the equivalent linker options using command line etc.
Index: win32_30w.mak
===================================================================
RCS file: /cvsroot/psqlodbc/psqlodbc/Attic/win32_30w.mak,v
retrieving revision 1.7.2.8
diff -c -r1.7.2.8 win32_30w.mak
*** win32_30w.mak	6 Feb 2006 14:34:10 -0000	1.7.2.8
--- win32_30w.mak	20 Feb 2006 09:30:47 -0000
***************
*** 45,55 ****
  !MESSAGE Using default PostgreSQL Library directory: $(PG_LIB)
  !ENDIF
  
! !IF EXIST("$(PG_LIB)/libssl32.dll")
! SSL_DLL = "libssl32.dll"
! !ELSE
! SSL_DLL = "SSLEAY32.dll"
  !ENDIF
  ADD_DEFINES = $(ADD_DEFINES) /D "SSL_DLL=\"$(SSL_DLL)\""
  
  !IF "$(_NMAKE_VER)" == "6.00.9782.0"
--- 45,61 ----
  !MESSAGE Using default PostgreSQL Library directory: $(PG_LIB)
  !ENDIF
  
! !IF "$(SSL_INC)" == ""
! SSL_INC=C:\OpenSSL\include
! !MESSAGE Using default OpenSSL Include directory: $(SSL_INC)
! !ENDIF
! 
! !IF "$(SSL_LIB)" == ""
! SSL_LIB=C:\OpenSSL\lib\VC
! !MESSAGE Using default OpenSSL Library directory: $(SSL_LIB)
  !ENDIF
+ 
+ SSL_DLL = "ssleay32.dll"
  ADD_DEFINES = $(ADD_DEFINES) /D "SSL_DLL=\"$(SSL_DLL)\""
  
  !IF "$(_NMAKE_VER)" == "6.00.9782.0"
***************
*** 129,135 ****
      if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
  
  CPP=cl.exe
! CPP_PROJ=/nologo /MT /W3 /GX /O2 /I $(PG_INC) /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "PSQLODBC_EXPORTS" /D "ODBCVER=0x0351" /D "UNICODE_SUPPORT" /D "WIN_MULTITHREAD_SUPPORT" $(ADD_DEFINES) /Fp"$(INTDIR)\psqlodbc.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
  
  .c{$(INTDIR)}.obj::
     $(CPP) @<<
--- 135,141 ----
      if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
  
  CPP=cl.exe
! CPP_PROJ=/nologo /MT /W3 /GX /O2 /I "$(PG_INC)" /I "$(SSL_INC)" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "PSQLODBC_EXPORTS" /D "ODBCVER=0x0351" /D "UNICODE_SUPPORT" /D "WIN_MULTITHREAD_SUPPORT" $(ADD_DEFINES) /Fp"$(INTDIR)\psqlodbc.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
  
  .c{$(INTDIR)}.obj::
     $(CPP) @<<
***************
*** 171,177 ****
  	
  LINK32=link.exe
  DEF_FILE= "psqlodbc_api30w.def"
! LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib wsock32.lib /nologo /dll /incremental:no /pdb:"$(OUTDIR)\psqlodbc.pdb" /machine:I386 /def:"$(DEF_FILE)" /out:"$(OUTDIRBIN)\psqlodbc35w.dll" /implib:"$(OUTDIR)\psqlodbc.lib" "$(VC07_DELAY_LOAD)" /libpath:"$(PG_LIB)"
  LINK32_OBJS= \
  	"$(INTDIR)\bind.obj" \
  	"$(INTDIR)\columninfo.obj" \
--- 177,183 ----
  	
  LINK32=link.exe
  DEF_FILE= "psqlodbc_api30w.def"
! LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib wsock32.lib /nologo /dll /incremental:no /pdb:"$(OUTDIR)\psqlodbc.pdb" /machine:I386 /def:"$(DEF_FILE)" /out:"$(OUTDIRBIN)\psqlodbc35w.dll" /implib:"$(OUTDIR)\psqlodbc.lib" "$(VC07_DELAY_LOAD)" /libpath:"$(PG_LIB)" /libpath:"$(SSL_LIB)"
  LINK32_OBJS= \
  	"$(INTDIR)\bind.obj" \
  	"$(INTDIR)\columninfo.obj" \
***************
*** 278,284 ****
      if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
  
  CPP=cl.exe
! CPP_PROJ=/nologo /MTd /W3 /Gm /GX /ZI /Od /I $(PG_INC) /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "PSQLODBC_EXPORTS" /D "ODBCVER=0x0351" /D "UNICODE_SUPPORT" /D "WIN_MULTITHREAD_SUPPORT" $(ADD_DEFINES) /Fp"$(INTDIR)\psqlodbc.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
  
  .c{$(INTDIR)}.obj::
     $(CPP) @<<
--- 284,290 ----
      if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
  
  CPP=cl.exe
! CPP_PROJ=/nologo /MTd /W3 /Gm /GX /ZI /Od /I "$(PG_INC)" /I "$(SSL_INC)" /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "PSQLODBC_EXPORTS" /D "ODBCVER=0x0351" /D "UNICODE_SUPPORT" /D "WIN_MULTITHREAD_SUPPORT" $(ADD_DEFINES) /Fp"$(INTDIR)\psqlodbc.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
  
  .c{$(INTDIR)}.obj::
     $(CPP) @<<
***************
*** 320,326 ****
  	
  LINK32=link.exe
  DEF_FILE= "psqlodbc_api30w.def"
! LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib wsock32.lib /nologo /dll /incremental:yes /pdb:"$(OUTDIR)\psqlodbc.pdb" /debug /machine:I386 /def:"$(DEF_FILE)" /out:"$(OUTDIR)\psqlodbc35w.dll" /implib:"$(OUTDIR)\psqlodbc.lib" /pdbtype:sept "$(VC07_DELAY_LOAD)" /libpath:"$(PG_LIB)"
  LINK32_OBJS= \
  	"$(INTDIR)\bind.obj" \
  	"$(INTDIR)\columninfo.obj" \
--- 326,332 ----
  	
  LINK32=link.exe
  DEF_FILE= "psqlodbc_api30w.def"
! LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib wsock32.lib /nologo /dll /incremental:yes /pdb:"$(OUTDIR)\psqlodbc.pdb" /debug /machine:I386 /def:"$(DEF_FILE)" /out:"$(OUTDIR)\psqlodbc35w.dll" /implib:"$(OUTDIR)\psqlodbc.lib" /pdbtype:sept "$(VC07_DELAY_LOAD)" /libpath:"$(PG_LIB)" /libpath:"$(SSL_LIB)"
  LINK32_OBJS= \
  	"$(INTDIR)\bind.obj" \
  	"$(INTDIR)\columninfo.obj" \
